Subject: Re: Blender has no denoiser

From: raingloom <[email-masked]>
Date: Sat, 16 Apr 2022 23:04:28 +0200

On Sat, 16 Apr 2022 18:30:19 +0000
Ekaitz Zarraga <[email-masked]> wrote:

> Hi,
> 
> ------- Original Message -------
> On Saturday, April 16th, 2022 at 6:29 PM, Haider Mirza
> <[email-masked]> wrote:
> 
> 
> > The Guix installation of Blender has no denoiser.
> > Blender's compositor says that Blender is compiled without
> > "OpenImageDenoise"
> >
> > Last time I checked OIDN (OpenImageDenoise) is free software and
> > all it's dependancies are also.
> > I tried to packaged OIDN but it just ended up being a massive pain
> > and It's depenadancy (ispc) just refused to compile.
> > Can you suggest some sort of solution (The IRC has no answers)
> > --
> > Haider Mirza via Emacs on a GNU/Linux system  
> 
> I had a similar issue in the past with blender, it was missing a
> dependency and I had to package it myself. It is what it is.
> Sometimes you need to package this kind of software, it's full of
> compilation errors and so on. The only thing we can do is to help you
> package it. Can you share the package you developed?
> 

It was already sent in the CC'd issue. I think it's best to continue
the discussion there, instead of forking it onto two lists.